Support » Plugin: Easy Options for WooCommerce » Errors from plug-in

  • Hello,
    Ive been using your plugin for a few years now, mainly I use it to sort the shipping values from lowest to highest and also to force local pick-up to last on the list.
    I am on woocommerce version 5.1.0, wordpress version 5.7.
    When the plugin is active, I am getting the following error at the top of the screen whenever an item is added to the cart.
    Warning: array_keys() expects parameter 1 to be array, null given in /hermes/bosnacweb05/bosnacweb05ag/b2831/nf.thenuthouse1/public_html/wp-content/plugins/woocommerce/includes/wc-cart-functions.php on line 476

    Warning: array_keys() expects parameter 1 to be array, null given in /hermes/bosnacweb05/bosnacweb05ag/b2831/nf.thenuthouse1/public_html/wp-content/plugins/woocommerce/includes/wc-cart-functions.php on line 447

    Warning: current() expects parameter 1 to be array, null given in /hermes/bosnacweb05/bosnacweb05ag/b2831/nf.thenuthouse1/public_html/wp-content/plugins/woocommerce/includes/wc-cart-functions.php on line 448

    Warning: count(): Parameter must be an array or an object that implements Countable in /hermes/bosnacweb05/bosnacweb05ag/b2831/nf.thenuthouse1/public_html/wp-content/plugins/woocommerce/includes/wc-cart-functions.php on line 427

    When the plugin is deactivated, the error does not appear.
    Are you able to update plugin to work on latest woocommerce version?

    Thanks
    Geoff

Viewing 4 replies - 1 through 4 (of 4 total)
  • Hi Geoffrey

    I am not able to re-produce the error.

    Can you send me screenshot of the Easy Options settings page?

    Thanks

    Thread Starter Geoffrey

    (@geoffrey1963)

    Hi Jeff,
    Link to screenshot of settings page…the only options I use are the ones shown ticked, no others options are used by me.
    https://www.thenuthouse.com.au/wp-content/uploads/2021/03/easyoptions-ettings.jpg

    Thanks
    Geoff

    • This reply was modified 6 months, 2 weeks ago by Geoffrey.

    Ok I am still not able to re-produce error.

    Can you try disabling all plugins EXCEPT WooCommerce and Easy Options and see if the error is still there?

    It could be something caused by Easy Options but in conjunction with another plugin.

    Thread Starter Geoffrey

    (@geoffrey1963)

    Hi Jeff,
    I believe these error messages are shipping related (at first instance I googled the error messages and read related articles about this (after I disabled my shipping plugins and the error was still there, this is what sent me to your plugin as I knew it sorted the shipping rates etc).
    What I did this morning was I disabled my shipping plugins again, and activated Easy Options again and tested, the result was NO error when adding to the cart as before, but when going to checkout, the errors appeared again at top of page. I have too many plugins to disable and time short at the moment, so if the latest info doesn’t help, I suppose leave it and I will operate website without the plugin. let me know what you think.

    Thanks
    Geoff

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Errors from plug-in’ is closed to new replies.